<?php

namespace App\Enums;

enum SpiderArticlePublishedStatusEnum: int
{
    case FALSE = 0;

    case TRUE = 1;

    case DELETE = 2;

    public function toString(): string {
        return match($this) {
            SpiderArticlePublishedStatusEnum::TRUE => '已同步',
            SpiderArticlePublishedStatusEnum::FALSE => '未同步',
            SpiderArticlePublishedStatusEnum::DELETE => '已删除',
        };
    }
}
